dpkg(1)

NAME
dpkg - Paketverwalter für Debian

SYNOPSIS
dpkg [Optionen] Aktionen

WARNUNG
Dieses Handbuch ist für Benutzer gedacht, die die Kommandozeilenoptionen und Paketzustände von dpkg detaillierter verstehen wollen, als durch dpkg --help beschrieben ist. Es sollte nicht von Paketbetreuern verwendet werden, die verstehen wollen, wie dpkg ihr Paket installieren wird. Die Beschreibung von den Tätigkeiten von dpkg beim Installieren und Entfernen von Paketen sind besonders in unzulänglich.

BESCHREIBUNG
dpkg ist ein Werkzeug, um Debian-Pakete zu installieren, zu bauen und zu verwalten. Die primäre und benutzerfreundlichere Oberfläche für dpkg ist dselect(1). dpkg selbst wird komplett über Kommandozeilenoptionen kontrolliert, die aus genau einer Aktion und Null oder mehreren Optionen bestehen. Der Aktionsparameter teilt dpkg mit, was zu tun ist, und die Optionen kontrollieren die Aktionen in irgendeiner Weise. dpkg kann auch als Oberfläche für dpkg-deb(1) verwendet werden. Die folgenden Aktionen gehören zu dpkg-deb, und wenn sie angetroffen werden, startet dpkg einfach dpkg-deb mit den übergebenen Parametern:
    -b, --build,
    -c, --contents,
    -I, --info,
    -f, --field,
    -e, --control,
    -x, --extract,
    -X, --vextract und
    --fsys-tarfile.
Bitte lesen Sie dpkg-deb(1) für weitere Informationen über diese Aktionen.

INFORMATIONEN ÜBER PAKETE
dpkg verwaltet einige nützliche Informationen über verfügbare Pakete. Die Informationen sind in drei Klassen unterteilt: Status, <Auswahlstatus> und Schalter. Diese Werte sind Hauptsächlich zur Änderung durch dselect gedacht.

  PAKETZUSTÄNDE

installiert
    Das Paket ist entpackt und konfigurierte korrekt.

halb-installiert
    Die Installation des Paketes wurde begonnen, aber aus irgendeinem Grund nicht abgeschlossen.

nicht-installiert
    Das Paket ist nicht auf Ihrem System installiert.

entpackt
    Das Paket ist entpackt, aber nicht konfiguriert.

halb-konfiguriert
    Das Paket ist entpackt und die Konfiguration wurde begonnen, aber aus irgendeinem Grund nicht abgeschlossen.

Config-Dateien
    Nur die Konfigurationsdateien des Pakets existieren auf dem System.

  PAKETAUSWAHL-STATUS

installiere
    Das Paket ist zur Installation ausgewählt.

deinstalliere
    Das Paket ist zur Deinstallation ausgewählt (d.h. wir wollen alle Dateien außer den Konfigurationsdateien entfernen).

säubern
    Das Paket ist zum Säubern ausgewählt (d.h. wir wollen alle Dateien inklusive der Konfigurationsdateien entfernen).

  PAKET-SCHALTER

halten
    Ein Paket das mit halten markiert ist, wird von dpkg nicht behandelt, es sei denn Sie erzwingen dies mit der Option --force-hold.

Neuinst. notw
    Ein mit Neuinst. notw markiertes Paket ist defekt und muss erneut installiert werden. Diese Pakete können nicht entfernt werden, es sei denn, Sie erzwingen dies mit der Option --force-remove-reinstreq.

AKTIONEN

dpkg -i | --install Paketdatei...
    Installiere das Paket. Falls die --recursive oder -R-Option angegeben ist, muss sich Paketdatei stattdessen auf ein Verzeichnis beziehen. Die Installation besteht aus folgenden Schritten:
    1. Extrahiere die Kontrolldateien aus dem neuen Paket.
    2. Falls eine andere Version des gleichen Pakets vor der der neuen Installation installiert war, dann führe das prerm-Skript des alten Paketes aus.
    3. Führe das preinst-Skript aus, falls dies vom Paket bereitgestellt wird.
    4. Entpacke die neuen Dateien und sichere gleichzeitig die alten Dateien, so dass diese, falls etwas schief geht, wiederhergestellt werden können.
    5. Falls eine andere Version des gleichen Pakets vor der der neuen Installation installiert war, dann führe das postrm-Skript des alten Paketes aus. Beachten Sie, dass dieses Skript nach dem preinst-Skript des neuen Pakets ausgeführt wird, da neue Dateien zeitgleich zu der Entfernung alter Dateien geschrieben werden.
    6. Konfiguriere das Paket. Lesen Sie --configure für detaillierte Informationen wie dies geschieht.

dpkg --unpack Paketdatei ...
    Entpacke das Paket, aber konfiguriere es nicht. Falls die --recursive oder -R-Option angegeben ist, muss sich Paketdatei stattdessen auf ein Verzeichnis beziehen.

dpkg --configure Paket ... | -a | --pending
    Rekonfiguriere ein entpacktes Paket. Falls -a oder --pending anstelle von Paket angegeben ist, werden alle entpackten aber nicht konfigurierten Pakete konfiguriert. Die Konfiguration besteht aus folgenden Schritten:
    1. entpacke die Konfigurationsdateien und sichere gleichzeitig die alten Konfigurationsdateien, so dass diese, falls etwas schief geht, wiederhergestellt werden können.
    2. Führe das postinst-Skript aus, falls dies vom Paket bereitgestellt wird.

dpkg -r | --remove | -P | --purge Paket ... | -a | --pending
    Entferne ein installiertes Paket. -r oder --remove entfernen alles außer Konfigurationsdateien. Dies könnte die Rekonfiguration vermeiden, falls das Paket später wieder reinstalliert wird. (Konfigurationsdateien sind die Dateien, die in der debian/conffiles-Kontrolldatei aufgeführt sind). -P oder --purge entfernt alles, auch Konfigurationsdateien. Falls -a oder --pending anstatt eines Paketnamens angegeben werden, dann werden alle Pakete, die entpackt aber zur Entfernung oder Säuberung in der Datei /var/lib/dpkg/status markiert sind, entfernt oder respektive gesäubert. Entfernung eines Paketes besteht aus den folgenden Schritte:
    1. Führe das prerm-Skript aus
    2. Entferne die installierten Dateien
    3. Führe das postrm-Skript aus

dpkg --update-avail | --merge-avail Packages-Datei
    Aktualisiere dpkgs und dselects Verständnis darüber, welche Pakete verfügbar sind. Mit der Aktion --merge-avail wird alte Information mit der Information aus der Packages-Datei zusammengeführt. Mit der Aktion --update-avail wird die alte Information durch die Information aus der Packages-Datei ersetzt. Die mit Debian vertriebene Packages-Datei heißt einfach Packages. dpkg hält seine Aufzeichnungen über die verfügbaren Pakete in /var/lib/dpkg/available. Ein einfacheres Kommando um die available-Datei in einem Aufruf abzurufen und zu aktualisieren ist dselect update.

dpkg -A | --record-avail Paketdatei ...
    Aktualisiere mit den Informationen aus dem Paket Paketdatei dpkgs und dselects Verständnis darüber, welche Pakete verfügbar sind. Falls die --recursive oder -R-Option angegeben ist, muss sich Paketdatei stattdessen auf ein Verzeichnis beziehen.

dpkg --forget-old-unavail
    Vergiss Informationen über nicht-installierte, nicht-verfügbare Pakete.

dpkg --clear-avail
    Lösche die existierenden Informationen darüber, welche Pakete verfügbar sind.

dpkg -C | --audit
    Suche nach Pakete, die in Ihrem System nur teilweise installiert wurden. dpkg wird Vorschläge machen, was mit ihnen geschehen soll, um sie in Funktion zu bringen.

dpkg --get-selections [Paket-Name-Muster...]
    Hole eine Liste von Paketauswahlen und schreibe sie auf die Standardausgabe. Ohne Muster werden Pakete im Zustand »Säubern« nicht angezeigt.

dpkg --set-selections
    Setze die Paketauswahl durch Einlesen einer Datei von der Standardeingabe. Diese Datei sollte im Format »<Paket> <Zustand>« sein, wobei Zustand einer aus »install«, »hold«, »deinstall« oder »purge« ist. Leerzeilen und Kommentarzeilen (beginnend mit »#«) sind auch erlaubt.

dpkg --clear-selections
    Setze den erbetenen Zustand von jedem nicht-essenziellen Paket auf »Deinstallation«. Dies ist dazu gedacht, direkt vor --set-selections verwendet zu werden, um jedes Paket, dass nicht in der Liste von --set-selections vorkommt, zu deinstallieren.

dpkg --yet-to-unpack
    Sucht nach Paketen dir zur Installation ausgewählt wurden, die aber aus irgendeinem Grund noch nicht installiert wurden.

dpkg --print-architecture
    Gebe die Architektur der Pakete aus, die dpkg installiert (beispielsweise »i386«).

dpkg --compare-versions Ver1 Op Ver2
    Vergleiche Versionsnummern, wobei op ein binärer Operator ist. dpkg liefert Erfolg (Nullergebnis) falls die angegebene Bedingung erfüllt ist und einen Fehler (Nicht-Null-Ergebnis) andernfalls. Es gibt zwei Gruppen von Operatoren, die sich in der Behandlung von leeren ver1 oder ver2 unterscheiden. Die folgenden behandeln leere Versionen als jünger als jede andere Version: lt le eq ne ge gt. Die folgenden behandeln eine leere Version als älter als jede Version: lt-nl le-nl ge-nl gt-nl. Die folgenden sind nur aus Kompatibilität mit der Kontrolldateisyntax bereitgestellt: < << <= = >= >> >.

dpkg --command-fd <n>
    Akzeptiert eine Reihe von Befehlen an Eingabe-Dateideskriptoren <n>. Hinweis: Zusätzliche auf der Kommandozeile und durch diesen Datei-Deskriptor gesetzte Optionen werden nicht für nachfolgende Befehle, die im gleichen Lauf ausgeführt werden, zurückgesetzt.

dpkg --help
    Zeige eine kurze Hilfenachricht an.

dpkg --force-help
    Gebe Hilfe über die --force-Sache-Optionen.

dpkg -Dh | --debug=help
    Gib Hilfe über Debugging-Optionen.

dpkg --licence | dpkg --license
    Zeige die dpkg-Lizenz an.

dpkg --version
    Zeige dpkg Versionsinformationen an.

dpkg-deb-Aktionen
    Lesen Sie dpkg-deb(1) für weitere Informationen über die folgenden Aktionen.
    dpkg -b | --build Verzeichnis [Dateiname]
        Baue ein deb-Paket.
    dpkg -c | --contents Dateiname
        Liste den Inhalt eines deb-Paketes auf.
    dpkg -e | --control Dateiname [Verzeichnis]
        Extrahiere Kontrollinformationen von einem Paket.
    dpkg -x | --extract Dateiname Verzeichnis
        Extrahiere die vom Paket enthaltenen Dateien.
    dpkg -f | --field  Dateiname [Kontrollfeld] ...
        Zeige das/die Kontrollfeld(er) eines Paketes an.
    dpkg --fsys-tarfile Dateiname
        Zeige die von einem Debian-Paket enthaltene Dateisystem-Tardatei an.
    dpkg -I | --info Dateiname [Kontrolldatei]
        Zeige Informationen über ein Paket.
    dpkg -X | --vextract Dateiname Verzeichnis
        Extrahiere und zeige die von einem Paket enthaltenen Dateinamen.

dpkg-query-Aktionen
    Lesen Sie dpkg-query(1) für weitere Informationen über die folgenden Aktionen.
    dpkg -l | --list Paketnamen-Muster ...
        Liste auf das übergebene Suchmuster passende Pakete auf.
    dpkg -s | --status Paketname ...
        Berichte den Status der spezifizierten Pakete.
    dpkg -L | --listfiles Paket ...
        Liste die aus Paket auf Ihrem System installierten Pakete auf.
    dpkg -S | --search Dateinamen-Suchmuster ...
        Suche nach einem Dateinamen in installierten Paketen.
    dpkg -p | --print-avail Paket
        Zeige Details über Paket, wie in /var/lib/dpkg/available gefunden.

OPTIONEN
Alle Optionen können auf der Kommandozeile oder in der dpkg-Konfigurationsdatei /etc/dpkg/dpkg.cfg angegeben werden. Jede Zeile in der Konfigurationsdatei ist entweder eine Option (exakt die gleiche wie die Befehlszeilenoption nur ohne führende Gedankenstriche) oder ein Kommentar (falls es mit # beginnt).

--abort-after=Zahl
    Ändere nach wie vielen Fehlern dpkg abbrechen wird. Der Standardwert ist 50.

-B|--auto-deconfigure
    Wenn ein Paket entfernt wird besteht die Möglichkeit, dass ein andere installierte Paket von dem entfernten Paket abhängt. Die Angabe dieser Option führt zur automatischen Dekonfiguration des Paketes, das von dem entfernten Paket abhängt.

-DOktal | --debug=Oktal
    Schalte Debugging ein. Oktal wird durch bitweise Oder-Verknüpfung der gewünschten Werte von der nachfolgenden Liste gebildet (beachten Sie, dass sich diese Werte in zukünftigen Veröffentlichungen verändern können). -Dh oder --debug=help zeigen diese Debugging-Werte an.
     Nummer Beschreibung
        1 Allgemein-hilfreiche Fortschrittsinformationen
        2 Aufruf und Status der Betreuerskripte
       10 Ausgabe für jede verarbeitete Datei
      100 Umfangreiche Ausgabe für jede verarbeitete Datei
       20 Ausgabe für jede Konfigurationsdatei
      200 Umfangreiche Ausgabe für jede Konfigurationsdatei
       40 Abhängigkeiten und Konflikte
      400 Umfangreiche Abhängigkeiten/Konflikte-Ausgabe
     1000 Umfangreiches Gelaber beispielsweise über das dpkg/info Verzeichnis
     2000 Verrückte Mengen an Gelaber

--force-Sachen | --no-force-Sachen | --refuse-Sachen
    Erzwinge oder verweigere (no-force und refuse bedeuten das gleiche) bestimmte Sachen. Sachen ist eine Komma-separierte Liste von Dingen, die im folgenden beschrieben sind. --force-help zeigt eine Nachricht an, die diese beschreibt. Mit (*) markierte Dinge werden standardmäßig erzwungen. Warnung. Diese Optionen sind hauptsächlich für den Einsatz durch Experten gedacht. Der Einsatz ohne komplettes Verständnis der Effekte kann Ihr gesamtes System zerstören. all: Schaltet alle »force«-Optionen ein (oder aus). downgrade(*): Installiere ein Paket, selbst wenn eine neuere Version davon bereits installiert ist. Warnung: Derzeit führt Dpkg keine Abhängigkeitsüberprüfung bei der Installation älterer Versionen (als bereits installiert) durch (sog. Downgrade) und wird Sie daher nicht warnen, falls dadurch die Abhängigkeit eines anderen Pakets nicht mehr erfüllt ist. Dies kann ernsthafte Seiteneffekte haben, ein Downgrade einer essenziellen Systemkomponente kann ihr gesamtes System unbrauchbar machen. Verwenden Sie diese Option mit Vorsicht. configure-any: Konfiguriere auch jedes entpackte, aber unkonfigurierte Paket von dem das aktuelle Paket abhängt. hold: Verarbeite auch Pakete, die mit »halten« markiert sind. remove-reinstreq: Entferne ein Paket, selbst falls es defekt ist und zur Neuinstallation markiert ist. Dies kann beispielsweise dazu führen, dass Teile des Pakets auf dem System bleiben und von dpkg vergessen werden. remove-essential: Entferne, selbst falls das Paket als essenziell betrachtet wird. Essenzielle Pakete enthalten hauptsächlich sehr grundlegende Unix-Befehle. Diese zu entfernen kann dazu führen, dass das gesamte System nicht mehr arbeitet - verwenden Sie dies Option daher mit Vorsicht. depends: Verwandle alle Abhängigkeitsprobleme in Warnungen. depends-version: Ignoriere Versionen bei der Prüfung von Abhängigkeiten. conflicts: Installiere, selbst wenn es mit einem anderen Paket in Konflikt steht. Dies ist gefährlich, da dies gewöhnlich dazu führt, dass einige Dateien überschrieben werden. confmiss: Installiere immer fehlende Konfigurationsdateien. Dies ist gefährlich, da es bedeutet, dass eine Änderung (die Entfernung) an der Datei nicht erhalten wird. confnew: Falls eine Conffile modifiziert wurde, installiere immer die neue Version ohne Rückfrage, es sei denn, --force-confdef ist ebenfalls angegeben, in welchem Falle die Standardaktion bevorzugt wird. confold: Falls eine Conffile modifiziert wurde, behalte immer die alte Version ohne Rückfrage, es sei denn, --force-confdef ist ebenfalls angegeben, in welchem Falle die Standardaktion bevorzugt wird. confdef: Falls eine Conffile verändert wurde, wähle immer die Standardaktion. Falls es keine Standardaktion gibt, halte an um den Benutzer zu fragen, es sei denn, --force-confnew oder --force-confold sind ebenfalls angegeben, in welchem Falle dies verwendet wird, um die endgültige Aktion zu bestimmen. overwrite: Überschreibe die Datei aus einem Paket mit einer Datei aus einem anderen Paket. overwrite-dir Überschreibe das Verzeichnis aus einem Paket mit einer Datei aus einem anderen Paket. overwrite-diverted: Überschreibe eine umgelenkte (»diverted«) Datei mit einer nicht-umgelenkten. architecture: Verarbeite sogar Pakete mit der falschen Architektur. bad-path: Im PATH fehlen wichtige Programme, daher sind Probleme wahrscheinlich. not-root: Versuche Sachen zu (de)installieren, selbst falls nicht root. bad-verify: Installiere ein Paket selbst wenn die Authentizitätsprüfung fehlschlägt.

--ignore-depends=Paket,...
    Ignoriere Abhängigkeitsüberprüfungen für ein bestimmtes Paket (tatsächlich wird die Überprüfung durchgeführt, aber nur Warnungen über Konflikte werden angezeigt, sonst nichts).

--new | --old
    Wähle das alte oder neue Binärpaketformat. Dies ist eine dpkg-deb(1)-Option.

--nocheck
    Lese oder überprüfe den Inhalt der Kontrolldatei beim Paketbau nicht. Dies ist eine dpkg-deb(1)-Option.

--no-act | --dry-run | --simulate
    Erledige alles, was gemacht werden soll, aber schreibe keine Änderungen. Dies wird verwendet um zu sehen, was mit der spezifizierten Änderung passieren würde ohne tatsächlich etwas zu modifizieren. Stellen Sie sicher, dass --no-act vor dem Aktions-Parameter steht, oder Sie könnten mit unerwünschten Ergebnissen enden. (Beispielsweise wird dpkg --purge foo --no-act zuerst das Paket foo bereinigen und dann versuchen, das Paket --no-act zu bereinigen, obwohl Sie wahrscheinlich davon ausgingen, dass tatsächlich gar nichts passieren sollte)

-R | --recursive
    Behandle rekursiv alle regulären Dateien, die auf das Muster *.deb passen und im angegeben Verzeichnis sowie allen Unterverzeichnis liegen. Dies kann mit den Aktionen -i, -A, --install, --unpack und --avail verwendet werden.

-G  Installiere ein Paket nicht, falls bereits eine neuere Version des gleichen Paketes installiert ist. Dies ist ein Alias für --refuse-downgrade.

--root=Verz | --admindir=Verz | --instdir=Verz
    Ändere die Standardverzeichnisse. admindir ist standardmäßig /var/lib/dpkg und enthält viele Dateien, die Informationen über den Status von installierten oder nicht-installierten Paketen enthalten usw. instdir ist standardmäßig / und bezieht sich auf das Verzeichnis, wo Pakete hin installiert werden. instdir ist auch das Verzeichnis, das an chroot(2) vor dem Aufruf der Installationsskripte des Paketes übergeben wird, was bedeutet, dass die Skripte instdir als ein Wurzelverzeichnis sehen. Eine Änderung von root ändert instdir auf Verz und admindir auf dir/var/lib/dpkg.

-O | --selected-only
    Bearbeite nur die Pakete, die zur Installation ausgewählt sind. Die eigentliche Markierung erfolgt mit dselect oder durch dpkg, wenn es Pakete bearbeitet. Beispielsweise wird ein Paket bei der Entfernung als für die Deinstallation-ausgewählt markiert.

-E | --skip-same-version
    Installiere das Paket nicht, falls die gleiche Version des Pakets bereits installiert ist.

--status-fd <n>
    Sende Paketstatusinformationen an den Dateideskriptor <n>. Diese Option kann mehrfach angegeben werden. Statusaktualisierungen sind von der Form: »status: <Pkt>: <Pkt Status>«. Fehler werden als »status: <Pkt>: error: Ausführliche-Fehlermeldung« berichtet. Konfigurationsdateikonflikte werden als »status: Conffile-Eingabeaufforderung: conffile : »aktuelle-conffile« »neue-conffile« useredited distedited« berichtet.

--log=Dateiname
    Protokollierstatus-Änderungsaktualisierungen und -Aktionen in Dateiname anstatt in die Standard-Datei /var/log/dpkg.log. Falls diese Option mehrfach übergeben wird, wird der letzte Dateiname verwendet. Protokollnachrichten sind von der Form »YYYY-MM-DD HH:MM:SS status <Zustand> <Pkt> <installierte-Version>« für Statusänderungsaktualisierungen; »YYYY-MM-DD HH:MM:SS <Aktion> <Pkt> <installierte-Version> <verfügbare-Version>« für Aktionen wobei <Aktion> entweder install, upgrade, remove oder purge ist; und »YYYY-MM-DD HH:MM:SS conffile <Dateiname> <Entscheidung>« für Conffile-Änderungen ist, wobei <Entscheidung> entweder install oder keep ist.

--no-debsig
    Versuche nicht, Paketsignaturen zu überprüfen.

DATEIEN

/etc/dpkg/dpkg.cfg
    Konfigurationsdatei mit Standardeinstellungen der Optionen.

/var/log/dpkg.log
    Standard-Protokolldatei (lesen Sie /etc/dpkg/dpkg.cfg(5) und die Option --log).

Die anderen unten aufgeführten Dateien sind in ihrem Standardverzeichnis, lesen Sie den Text zur Option --admindir um zu sehen, wie sie den Ort dieser Dateien ändern können.

/var/lib/dpkg/available
    Liste der verfügbaren Pakete.

/var/lib/dpkg/status
    Statusse der verfügbaren Pakete. Diese Datei enthält Informationen darüber, ob ein Paket zur Entfernung markiert ist oder nicht, ob es installiert ist oder nicht usw. Lesen Sie den Abschnitt INFORMATIONEN ÜBER PAKETE für weitere Informationen.

Die folgenden Dateien sind Komponenten von Binärpaketen. Lesen Sie deb(5) für weitere Informationen über sie:

control

conffiles

preinst

postinst

prerm

postrm

UMGEBUNGSVARIABLEN

DPKG_NO_TSTP
    Definieren sie diese zu irgendetwas, falls Sie es bevorzugen, dass dpkg eine neue Shell startet statt sich selber zu suspendieren, während es einen »Shell-Escape« durchführt.

SHELL
    Das Programm, das dpkg ausführen wird, wenn es eine neue Shell startet.

COLUMNS
    Setzt die Anzahl von Spalten die dpkg verwenden soll, wenn es formatierten Text anzeigt. Derzeit nur von -l verwendet.

BEISPIELE
Um Pakete mit Bezug zum vi(1)-Editor aufzulisten:
     dpkg -l '*vi*'
Um die Einträge von zwei Pakete in /var/lib/dpkg/available zu sehen:
     dpkg --print-avail elvis vim | less
Wenn Sie die Liste der Pakete selbst durchsuchen wollen:
     less /var/lib/dpkg/available
Um ein installiertes Elvis-Paket zu entfernen:
     dpkg -r elvis
Um ein Paket zu installieren, müssen Sie es erst in einem Archiv oder auf einer CD-ROM finden. Die »available«-Datei zeigt, dass das vim-Paket im Bereich »editors« ist:
     cd /cdrom/hamm/hamm/binary/editors
     dpkg -i vim_4.5-3.deb
Um eine lokale Kopie der Paketauswahl-Zustände zu erstellen:
     dpkg --get-selections >meine_auswahl
Sie können diese Datei zu einem anderen Computer bringen und sie dort mit folgenden Befehlen installieren:
     dpkg --clear-selections
     dpkg --set-selections <myselections
Beachten Sie, dass dies nichts wirklich installiert oder entfernt, sondern lediglich den Auswahlzustand der angeforderten Pakete setzt. Sie werden eine andere Anwendung benötigen, um die angeforderten Pakete tatsächlich herunterzuladen und zu installieren. Starten Sie beispielsweise dselect und wählen Sie »Installieren«. Gewöhnlich werden Sie feststellen, dass dselect(1) eine bequemere Art ist, den Paketauswahlzustand zu ändern.

ZUSÄTZLICHE FUNKTIONALITÄT
Zusätzliche Funktionalität kann durch die Installation jedes der folgenden Pakete erhalten werden: apt, aptitude und debsums.

SIEHE AUCH
dselect(1), dpkg-deb(1), dpkg-query(1), deb(5), deb-control(5), dpkg.cfg(5) und dpkg-reconfigure(8).

FEHLER
--no-act gibt gewöhnlich weniger Informationen als hilfreich sein könnten.

AUTOREN
Lesen Sie /usr/share/doc/dpkg/THANKS für die Liste der Leute, die zu
dpkg beigetragen haben.

Die deutsche Übersetzung wurde 2006 von Helge Kreutzmann <debian@helgefjell.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.